Class | Bio::PTS1::Report
In: | lib/bio/appl/pts1.rb
Parent: | Object

# Parser for the PTS1 prediction Report (in HTML).

### Methods

new

### Attributes

cterm | [R] | Amino acids subsequence at C-terminal region.
entry_id | [R] | Query sequence name.
fp | [R] | False positive probability
output | [R] | Raw output
prediction | [R] | Prediction ("Targeted", "Twilight zone" and "Not targeted")
profile | [R] | Profile
score | [R] | Score
sppta | [R] | S_ppt (accessibility)
spptna | [R] | S_ppt (non accessibility)

### Public Class methods

new(str)

Parsing PTS1 HTML report.

## Example

      report = Bio::PTS1::Report.new(str)
      report.cterm

[Source]

         # File lib/bio/appl/pts1.rb, line 207
    207:     def initialize(str)
    208:       @cterm   = ''
    209:       @score   = 0
    210:       @profile = 0
    211:       @spptna  = 0
    212:       @sppta   = 0
    213:       @fp      = 0
    214:       @prediction = 0
    215:
    216:       if /PTS1 query prediction/m =~ str
    217:         @output = str
    218:         parse
    219:       else
    220:         raise
    221:       end
    222:     end

[Validate]